Qt 5.13 | Qt Widgets | C++ Classes | QVBoxLayout

Qt 5.13.2 Reference Documentation

# QVBoxLayout Class

The QVBoxLayout class lines up widgets vertically. More...

Header: | #include <QVBoxLayout>
qmake: | QT += widgets
Inherits: | QBoxLayout

- List of all members, including inherited members

## Public Functions

| QVBoxLayout(QWidget *parent)
| QVBoxLayout()
virtual | ~QVBoxLayout()

## Detailed Description

This class is used to construct vertical box layout objects. See QBoxLayout for details.

The simplest use of the class is like this:

          QWidget *window = new QWidget;
          QPushButton *button1 = new QPushButton("One");
          QPushButton *button2 = new QPushButton("Two");
          QPushButton *button3 = new QPushButton("Three");
          QPushButton *button4 = new QPushButton("Four");
          QPushButton *button5 = new QPushButton("Five");

          QVBoxLayout *layout = new QVBoxLayout;
          layout->addWidget(button1);
          layout->addWidget(button2);
          layout->addWidget(button3);
          layout->addWidget(button4);
          layout->addWidget(button5);

          window->setLayout(layout);
          window->show();

First, we create the widgets we want in the layout. Then, we create the QVBoxLayout object and add the widgets into the layout. Finally, we call QWidget::setLayout() to install the QVBoxLayout object onto the widget. At that point, the widgets in the layout are reparented to have `window` as their parent.

See also QHBoxLayout, QGridLayout, QStackedLayout, Layout Management, and Basic Layouts Example.

## Member Function Documentation

### QVBoxLayout::QVBoxLayout(QWidget *parent)

Constructs a new top-level vertical box with parent parent.

### QVBoxLayout::QVBoxLayout()

Constructs a new vertical box. You must add it to another layout.

### `[virtual]` QVBoxLayout::~QVBoxLayout()

Destroys this box layout.

The layout's widgets aren't destroyed.